<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: utilities.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('utilities_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">utilities.py File Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceutilities"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html">utilities</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a1897ac7578d69d15311f4cba8342520c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a1897ac7578d69d15311f4cba8342520c">utilities.apply_sensitivity</a> (float value, float sensitivity)</td></tr>
<tr class="separator:a1897ac7578d69d15311f4cba8342520c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5c091829a3a71bf79e949fd01235fd7"><td class="memItemLeft" align="right" valign="top">np.ndarray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#af5c091829a3a71bf79e949fd01235fd7">utilities.get_acceleration_frame_transformation</a> (np.ndarray position, np.ndarray orientation, np.ndarray angular_velocity, np.ndarray angular_acceleration, np.ndarray velocity=[0, 0, 0], np.ndarray acceleration=[0, 0, 0])</td></tr>
<tr class="separator:af5c091829a3a71bf79e949fd01235fd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf40a3dbaf1965a9c7250b95ffbd2e0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#afbf40a3dbaf1965a9c7250b95ffbd2e0">utilities.calc_angular_motion_parameters</a> (str database)</td></tr>
<tr class="separator:afbf40a3dbaf1965a9c7250b95ffbd2e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff9b20378f64c39dd630fc754c9a99dd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#aff9b20378f64c39dd630fc754c9a99dd">utilities.get_cardan_angular_velocity_transformation</a> (float beta, float gamma, W)</td></tr>
<tr class="separator:aff9b20378f64c39dd630fc754c9a99dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae49a75eb2a8f0d61907921ebf0c4e054"><td class="memItemLeft" align="right" valign="top">np.ndarray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#ae49a75eb2a8f0d61907921ebf0c4e054">utilities.get_quaternion_angular_velocity_transformation_non_unit_quaternions</a> (np.ndarray orientation, np.ndarray angular_velocity, s=1)</td></tr>
<tr class="separator:ae49a75eb2a8f0d61907921ebf0c4e054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48338e52a1a2f2b8b15bc45c7984a32b"><td class="memItemLeft" align="right" valign="top">np.ndarray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a48338e52a1a2f2b8b15bc45c7984a32b">utilities.get_quaternion_angular_velocity_transformation</a> (np.ndarray orientation, np.ndarray angular_velocity)</td></tr>
<tr class="separator:a48338e52a1a2f2b8b15bc45c7984a32b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3d972c6f97a6bbbec799cd277d45755"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#aa3d972c6f97a6bbbec799cd277d45755">utilities.get_attitude</a> (vector1, vector2)</td></tr>
<tr class="separator:aa3d972c6f97a6bbbec799cd277d45755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4c606d28f0224b0e8a58ef97e7b499"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#aab4c606d28f0224b0e8a58ef97e7b499">utilities.ned2ecef</a> (lon, lat)</td></tr>
<tr class="separator:aab4c606d28f0224b0e8a58ef97e7b499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92dc8d3720a4410dfd4c0d28f27b4745"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a92dc8d3720a4410dfd4c0d28f27b4745">utilities.create_table</a> (str database, str name, str columns)</td></tr>
<tr class="separator:a92dc8d3720a4410dfd4c0d28f27b4745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abda7d2859edb6c561a49699a358da6fe"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#abda7d2859edb6c561a49699a358da6fe">utilities.write_line_into_database_table</a> (str database, str name, tuple columns_content)</td></tr>
<tr class="separator:abda7d2859edb6c561a49699a358da6fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88011419202e59b8ba01ecd3125edbda"><td class="memItemLeft" align="right" valign="top">pd.core.frame.DataFrame&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a88011419202e59b8ba01ecd3125edbda">utilities.get_last_line_from_database_table</a> (str database, str name, int rows=1)</td></tr>
<tr class="separator:a88011419202e59b8ba01ecd3125edbda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2782391bb18559b954bd2acd657beae7"><td class="memItemLeft" align="right" valign="top">pd.core.frame.DataFrame&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a2782391bb18559b954bd2acd657beae7">utilities.get_table_from_database</a> (str database, str name)</td></tr>
<tr class="separator:a2782391bb18559b954bd2acd657beae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e441a7e53345a5cd02b4c734cb893a1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a1e441a7e53345a5cd02b4c734cb893a1">utilities.TEME_to_geodetic</a> (x, y, z, t, convert_time=True)</td></tr>
<tr class="separator:a1e441a7e53345a5cd02b4c734cb893a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae42be3cf13c77c092a13e1fe001c228e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#ae42be3cf13c77c092a13e1fe001c228e">utilities.ECEF_to_TEME</a> (x, y, z, t, convert_time=True)</td></tr>
<tr class="separator:ae42be3cf13c77c092a13e1fe001c228e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acde4868c6a9a670183e1607419802af6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#acde4868c6a9a670183e1607419802af6">utilities.julian_to_decimal</a> (time, convert_time=True)</td></tr>
<tr class="separator:acde4868c6a9a670183e1607419802af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd283a8bae1f09d328bdf00f1f72aed"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#aacd283a8bae1f09d328bdf00f1f72aed">utilities.interpolate_two_rows</a> (str database, str name, float sim_time)</td></tr>
<tr class="separator:aacd283a8bae1f09d328bdf00f1f72aed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49aa75cc06a188648294793e81ddc535"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a49aa75cc06a188648294793e81ddc535">utilities.get_mean_motion</a> (float a)</td></tr>
<tr class="separator:a49aa75cc06a188648294793e81ddc535"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2de0cd86d98eba1f88049830f8c8e8a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#ab2de0cd86d98eba1f88049830f8c8e8a">utilities.change_sensor_parameter</a> (sensor, list parameter, list new_val, float sim_time=0)</td></tr>
<tr class="separator:ab2de0cd86d98eba1f88049830f8c8e8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a086a460a9ebf58e8f7d57edf41d7cc26"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a086a460a9ebf58e8f7d57edf41d7cc26">utilities.euler_to_quaternion</a> (euler)</td></tr>
<tr class="separator:a086a460a9ebf58e8f7d57edf41d7cc26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30dc58f9462f8270d7f9bb6ce246808a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#a30dc58f9462f8270d7f9bb6ce246808a">utilities.quaternion_to_euler</a> (q)</td></tr>
<tr class="separator:a30dc58f9462f8270d7f9bb6ce246808a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc06c2041355fe4c7d16d48631271cc0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#abc06c2041355fe4c7d16d48631271cc0">utilities.quatNorm</a> (q)</td></tr>
<tr class="separator:abc06c2041355fe4c7d16d48631271cc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe14dd9db04d82f220da8d3989cfecb9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#afe14dd9db04d82f220da8d3989cfecb9">utilities.quaternion_to_dcm</a> (q)</td></tr>
<tr class="separator:afe14dd9db04d82f220da8d3989cfecb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad55d91156b44ce5a5c8a66463ea40870"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceutilities.html#ad55d91156b44ce5a5c8a66463ea40870">utilities.interpolate_dataframe</a> (dataframe, sim_time)</td></tr>
<tr class="separator:ad55d91156b44ce5a5c8a66463ea40870"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="utilities_8py.html">utilities.py</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
